精华内容
下载资源
问答
  • 2021-08-11 13:12:01
    /**
     * 全局遮罩,传值true和false
     * 启用遮罩shadeShowOrHide(true)
     * 关闭遮罩shadeShowOrHide(false)
     * */
    export function shadeShowOrHide(flag) {
      // flag为true增加遮罩,flag为false去掉遮罩
      if(flag){
        let mask_bg = document.createElement("div");
        mask_bg.id = "mask_bg";
        mask_bg.className = "mask_bg";
        mask_bg.style.position = "absolute";
        mask_bg.style.top = "0px";
        mask_bg.style.left = "0px";
        mask_bg.style.width = "100%";
        mask_bg.style.height = "100%";
        mask_bg.style.backgroundColor = "#777";
        mask_bg.style.opacity = '0.6';
        mask_bg.style.zIndex = '10001';
        document.body.appendChild(mask_bg);
    
        let mask_msg = document.createElement("div");
        mask_msg.style.position = "absolute";
        mask_msg.style.top = "35%";
        mask_msg.style.left = "42%";
        mask_msg.style.backgroundColor = "#777";
        mask_msg.style.textAlign = "center";
        mask_msg.style.fontSize = "1.1em";
        mask_msg.style.fontWeight = "bold";
        mask_msg.style.padding = "0.5em 3em 0.5em 3em";
        mask_msg.style.zIndex = '10002';
        mask_msg.innerText = "正在执行,请稍后...";
        mask_bg.appendChild(mask_msg);
      }else {
        let mask_bg:any = document.getElementById("mask_bg");
        if(mask_bg!=undefined && mask_bg!=null){
          mask_bg.parentNode.removeChild(mask_bg);
        }
      }
    }
    更多相关内容
  • AE创建遮罩和蒙版.docx

    2020-01-26 18:39:32
    学习的过程是痛苦的,得到的成功是喜悦的,希望大家可以互勉共同进步,也希望大家一起交流学习哦!AE我们一起学习
  • 主要介绍了vue 弹出遮罩层样式实例,具有很好的参考价值,希望对大家有所帮助。一起跟随小编过来看看吧
  • flashcs5创建遮罩动画页.pdf
  • openlayers遮罩示例

    2022-01-29 09:32:39
    一个基于openlayer创建地图遮罩的前端代码示例。 使用方法 1. 安装依赖 npm i 2. 项目启动 npm start
  • 主要介绍了JS简单实现点击按钮或文字显示遮罩层的方法,涉及javascript鼠标事件响应及页面元素属性动态操作相关实现技巧,需要的朋友可以参考下
  • 使用amueller的wordcloud包使用遮罩创建wordcloud! 参考: [1] [2] [3] 1.包导入和字体,掩码,消息设置! 该代码分为与掩码有关的部分,与字体有关的部分和与单词有关的部分。 首先,加载必要的包,在设置字体...
  • Revit二次开发-创建遮罩区域 实质是创建空白的填充区域 public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements) { UIApplication uiApp = commandData.Application; ...

    Revit二次开发-创建遮罩区域

    实质是创建空白的填充区域

    public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements)
            {
                UIApplication uiApp = commandData.Application;
                Autodesk.Revit.ApplicationServices.Application app = uiApp.Application;
                UIDocument uidoc = uiApp.ActiveUIDocument;
                Document doc = uidoc.Document;
                {
                    // 创建遮罩区域
                    CreateMaskRegion(doc);
                    //return Result.Succeeded;
                }
                return Result.Succeeded;
            }
    
    private void CreateMaskRegion(Document doc)
            {
                using (Transaction trans = new Transaction(doc))
                {
                    trans.Start("创建遮罩区域");
    
                    // 找到一个填充类型,复制创建一个新的填充类型“实体填充”
                    FilteredElementCollector collector = new FilteredElementCollector(doc);
                    List<FilledRegionType> lstFilledRegionType = collector.OfClass(typeof(FilledRegionType)).
                         Cast<FilledRegionType>().ToList();
    
                    FilledRegionType frtNew = null;
                    foreach (FilledRegionType item in lstFilledRegionType)
                    {
                        if (item.Name != "遮罩区域")
                            continue;
    
                        frtNew = item;
                        break;
                    }
    
                    if (lstFilledRegionType.Count == 0)
                        return;
    
                    if (frtNew == null)
                    {
                        frtNew = lstFilledRegionType[0].Duplicate("遮罩区域") as FilledRegionType;
                    }
    
                    #region /* 设置填充样式、背景、线宽、颜色 */
    
                    FillPatternElement fillPatternElement = null;
                    collector = new FilteredElementCollector(doc);
                    List<FillPatternElement> fillPatternElements = collector.OfClass(typeof(FillPatternElement)).Cast<FillPatternElement>().ToList();
                    foreach (var item in fillPatternElements)
                    {
                        FillPattern fillPatternTemp = item.GetFillPattern();
                        if (fillPatternTemp.Name != "垂直 1200mm")
                            continue;
    
                        fillPatternElement = item;
                        break;
                    }
    
                    // 填充样式
                    if (fillPatternElement != null)
                    {
                        frtNew.FillPatternId = fillPatternElement.Id;
                    }
    
                    // 背景
                    frtNew.Background = FilledRegionBackground.Opaque;
    
                    // 线宽
                    if (frtNew.LineWeight != 1)
                    {
                        frtNew.LineWeight = 1;// 这里异常
                    }
    
                    // 颜色
                    if (frtNew.Color.Red != 0 || frtNew.Color.Green != 0 || frtNew.Color.Blue != 0)
                    {
                        frtNew.Color = new Color(0, 0, 0);
                    }
    
                    #endregion
    
                    // 创建填充区域
                    List<CurveLoop> profileloops = new List<CurveLoop>();
                    XYZ[] points = new XYZ[5];
                    points[0] = new XYZ(0.0, 0.0, 0.0);
                    points[1] = new XYZ(10.0, 0.0, 0.0);
                    points[2] = new XYZ(10.0, 10.0, 0.0);
                    points[3] = new XYZ(0.0, 10.0, 0.0);
                    points[4] = new XYZ(0.0, 0.0, 0.0);
                    CurveLoop profileloop = new CurveLoop();
                    for (int i = 0; i < 4; i++)
                    {
                        Line line = Line.CreateBound(points[i], points[i + 1]);
                        //Line line = app.Create.NewLineBound(points[i], points[i + 1]);
                        profileloop.Append(line);
                    }
                    profileloops.Add(profileloop);
                    ElementId activeViewId = doc.ActiveView.Id;
                    FilledRegion filledRegion = FilledRegion.Create(doc, frtNew.Id, activeViewId, profileloops);
    
                    trans.Commit();
                }
            }
    
    展开全文
  • 遮罩层:可以将与遮罩层相链接的图形中的图像遮盖起来。用户可以将多个层组合放在一个遮罩层下,以创建出多样...
  • 今天我们要完成的是一个带有遮罩效果(补间动画)的图片走廊jquery插件:jquery.tranzify.js
  • 遮罩效果全解(13种方法

    千次阅读 2021-02-05 02:34:10
    第一步:创建两个图层,命名,一个是遮罩层,一个是被遮罩层;第二步:在被遮罩层图层输入文字“闪吧,我的最爱”;第三步:在遮罩层随便画一个形状,例如一个圆;第四步:此步最关键。点击遮罩层图层,右键选择...

    初学者关于遮罩的话题问的较多,下面我将遮罩的一些常见问题进行一下归纳。

    1、请问遮罩的原理是什么?

    遮罩层好比黑夜中的一支手电筒,照在哪儿(指被遮罩层)哪儿就显现。

    第一步:创建两个图层,命名,一个是遮罩层,一个是被遮罩层;

    第二步:在被遮罩层图层输入文字“闪吧,我的最爱”;

    第三步:在遮罩层随便画一个形状,例如一个圆;

    第四步:此步最关键。点击遮罩层图层,右键选择“遮罩层”,如图1(1)

    80867292_1.gif

    2、我想让遮罩层运动起来,就象探照灯一样的效果,应如何做?

    第一步:把上面的圆转换为图形元件;

    第二步:在第15帧处插入关键帧,选中元件,把它放在场景的最右端,在两帧之间右键选择“创建补间动画”,选中第1帧,右键选择“复制帧”,在第30帧处粘贴帧,在第15帧和第30帧处右键选择“创建补间动画”;

    第三步:把被遮罩层的帧延长到第30处;

    3、我想让遮罩层随鼠标移动而移动应怎样做?

    第一步:选中遮罩层,右键选择“遮罩层”,去掉前面的勾,此时取消了遮罩;选中圆,右键选择“转换为元件”,在弹出的对话框中选择“影片剪辑”,在主场景中给它个实例名mask_mc。

    第二步:选中被遮罩层上的文字,同样转换为影片剪辑元件,实例名为_mc

    第三步:新建图层,名为“动作”,选中第一帧,写如下代码:

    _mc.setMask(mask_mc);//设置_mc被mask_mc遮罩

    mask_mc.onEnterFrame = function() {

    //mask_mc在运行每一帧时执行函数

    this._x = _xmouse;

    this._y = _ymouse;

    //mask_mc的坐标等于鼠标的坐标

    4、我想让遮罩层随鼠标移动有缓冲的效果应如何做?

    把问题3的第三步代码改为:

    _mc.setMask(mask_mc);

    var speed:Number = 5;//申明变量

    mask_mc.onEnterFrame = function() {

    this._x += (_xmouse-this._x)/speed;//让遮罩层缓冲运动

    this._y += (_ymouse-this._y)/speed;

    5、某对象的边框一闪而过的效果怎么做?

    [效果1]

    [效果2]

    下面以效果2为例详解其制作过程

    第一步:创建三个图层,从上到下名称分别为“边框”、“矩形”、“文字”。

    第二步:在“文字”图层上输入文字:“闪吧”,延长帧到第40帧处。

    第三步:选中“文字”图层的第一帧复制帧,粘贴帧到“边框”图层的第一帧上;将文字按住Ctrl+B,连按两次把文字打散;选中右侧“工具”栏中的“墨水瓶工具”,在打散的文字边上点击进行描边;在该帧上用鼠标进行点击(即全选该帧上的所有对象),然后把鼠标移到右侧“工具”栏中的“填充色”上点击,再把鼠标移到弹出对话框中的右上角,将填充色设置为无;选中刚才描出的边线,在属性中将其笔触高度设置为1.5。具体设置和效果见图1:

    80867292_2.gif

    第四步:选中“边线”,选择“修改”→“形状”→“将线条转换为填充”;把帧延长到第40帧处。(此步是关键,不能用线条作遮罩层,应转换为填充)具体设置见图2:

    80867292_3.gif

    第五步:创建图形元件,在该元件编辑场景中画一个矩形,从上到下进行线形渐变,具体设置见图3;把该元件从库中拉入到主场景中“矩形”图层上的第一帧上,其位置在文字的上方;在第40帧处插入关键帧,把该元件的位置移到文字的下方;在第1帧和第40帧处右键选择“创建补间动画”。

    80867292_4.gif

    第六步:选中“边框”图层,右键选择“遮罩层”。

    6、如何做出渐变、半透明、羽化遮罩效果?

    [渐变效果]

    第一步:创建两个图层,从上到下名称分别是“遮罩”、“渐变”。

    第二步:在“遮罩”图层中输入文字“闪吧,我的最爱!”。

    第三步:在“渐变”图层中画一个矩形,填充渐变色。

    第四步:选中“遮罩”图层,右键选择“遮罩层”。

    [羽化效果]

    第一步:创建两个图层,从上到下名称分别是“遮罩”、“图片”。

    第二步:在“图片”图层上导入一张图,并转换为影片剪辑元件,实例名为tp_mc,延长帧到第40帧;在其属性面板中勾选“使用运行时位图缓存”。

    第三步:在“遮罩”图层上画一个小圆,转换为影片剪辑元件,实例名为mask_mc;选择属性面板中的“滤镜”里的“模糊”,输入模糊值均为100;在第40帧处插入关键帧,把圆放大;创建补间动画。

    第四步:在“动作”图层的第一帧上写代码:

    tp_mc.setMask(mask_mc)

    半透明遮罩:把你半透明的遮罩层复制到上层即可。

    7、我用静态文字作遮罩层或作为被遮罩时怎么没有效果?

    方法①将文字连按两次Ctrl+B,把文字打散。

    方法②更改该文字的属性,不采用“使用设备字体”。

    方法③把文字转换为影片元件,实例名为wz_mc;把遮罩转换为影片元件,实例名为mask_mc;在帧上写代码wz_mc.setMask(mask_mc)

    8、动态文本设置被遮罩怎么没有效果?

    方法①把动态文本转换为影片元件,实例名为wz_mc,创建遮罩影片元件,实例名为mask_mc;然后在帧上写代码:wz_mc.setMask(mask_mc)

    方法②选择嵌入,在弹出的对话框中出现的“包含这些字符”里输入动态文本中要显示的文字。(但这种方法会使文件体积变大)

    9、怎样让遮罩层沿着引导层上的任意路径运动?

    [要点]

    把遮罩先做成沿引导层上路径运动的影片剪辑,再把该影片剪辑设为遮罩层

    [步骤]

    第一步:创建图形元件,名称为“圆”,画一个圆。

    第二步:创建影片剪辑元件,名称为“运动的圆”,把图形元件“圆”拖入;让圆沿引导层上的曲线运动起来。如图9:

    80867292_5.gif

    第三步:在主场景中创建两个图层,从上到下名称分别为“遮罩”、“背景”;把“运动的圆”拖入到主场景中的“遮罩”图层上;在“背景”图层上导入一张图片;选中“遮罩”图层,右键选择“遮罩层”。

    10、一般右键选择设置“遮罩层”时只能遮罩一个图层,那多个图层怎么做?

    方法①把没有被遮罩的图层拖入到已经被遮罩和遮罩层之间,再调整图层顺序。

    方法②用鼠标按住没有被遮罩的图层不放,然后往上推,当出现灰色的虚线时释放鼠标即可。如图10:

    80867292_6.gif

    11、空心圆做遮罩怎么中间的空白处也作了遮罩?

    [方法]把空心圆不能做成影片剪辑元件,但可以是图形元件。

    12、放大镜是如何应用遮罩的?

    第一步:创建四个图层,从上到下名称依次是“动作”、“放大镜”、“遮罩”、“底图”。

    第二步:创建影片剪辑元件,名称为“底图”,导入一张图;把该元件拖入到主场景中的“底图”图层上,实例名为dt_mc。

    第三步:创建影片剪辑元件,名称为“遮罩”,画一个圆,填充类型为放射状,中间透明,四周不透明;把该元件拖入到主场景中的“遮罩”图层上,实例名为mask_mc。再拖一个到“放大镜”图层上,实例名为fdj_mc。

    第四步:在“动作”图层的第一帧上写如下代码:

    Mouse.hide();//鼠标隐藏

    var speed:Number = 4;//申明变量

    dt_mc.duplicateMovieClip("fdt_mc", 0);//复制底图为放大图

    fdt_mc._xscale = fdt_mc._yscale=150;//放大图放大

    fdt_mc.setMask(mask_mc);//设置放大图被遮罩元件遮罩

    fdt_mc.swapDepths(fdj_mc);//把放大镜放在最上层

    mask_mc.onEnterFrame = function() {

    fdt_mc._x = -this._x*0.5;//设置放大图的坐标随遮罩层的变化而变化

    fdt_mc._y = -this._y*0.5;

    fdj_mc._x = this._x += (_xmouse-this._x)/speed;//让遮罩层和放大镜坐标重合且缓冲运动

    fdj_mc._y = this._y += (_ymouse-this._y)/speed;

    updateAfterEvent();//更新舞台

    13、我想鼠标点击时遮罩层出现并拖动,再次点击时消失怎么做?

    在第12问的第四步代码中作如下改动:

    Mouse.hide();

    dt_mc.duplicateMovieClip("fdt_mc", 1);

    fdt_mc._xscale = fdt_mc._yscale=150;

    fdt_mc.setMask(mask_mc);

    fdt_mc.swapDepths(fdj_mc);

    mask_mc._visible = fdj_mc._visible=fdt_mc._visible=0;

    mask_mc.onEnterFrame = function() {

    fdt_mc._x = -this._x*0.5;

    fdt_mc._y = -this._y*0.5;

    fdj_mc._x = this._x += (_xmouse-this._x)/4;

    fdj_mc._y = this._y += (_ymouse-this._y)/4;

    updateAfterEvent();

    };

    onMouseDown = function () {

    this.id = !this.id;

    if (this.id) {

    mask_mc._visible = fdj_mc._visible=fdt_mc._visible=1;

    }

    if (!this.id) {

    mask_mc._visible = fdj_mc._visible=fdt_mc._visible=0;

    }

    14、导入外部的影片(如文件名1.swf)或图片(如文件名1.jpg),怎样设置遮罩?

    第一步:创建影片剪辑元件,画一个你要的遮罩形状;把该元件拖入到主场景中,实例名取mask_mc。

    第二步:在帧上写代码:

    var my_mcl:MovieClip = createEmptyMovieClip("my_mcl", getNextHighestDepth());

    var mcloader:MovieClipLoader = new MovieClipLoader();

    mcloader.addListener(this);

    mcloader.loadClip("1.jpg", my_mcl);

    mask_mc._visible = 0;

    this.setMask(mask_mc);

    第三步:保存,并在该文件所在的文件夹内放一张图片,名称为1.jpg

    如果导入的是外部影片,则把"1.jpg"改为"1.swf",当然,外部影片的名称为1.swf

    [后记]

    遮罩无所不在,无奇不有,你还可以利用遮罩做出电影字幕、水波、万花筒、百叶窗等强视觉的作品出来。请跟贴的朋友们最好交一幅有创意的作品,让大家分享,好的作品版主一定会给你加分的哟!

    [以上所有的Fla源文件]点击这里下载源文件

    展开全文
  • 使用函数setMask(String mask)创建一个遮罩 使用上述字符,设置遮罩[Ex:objectmask.setMask(“ XXXXXX”)] 面具的特点: * =接受任何字符 A =仅字母数字 N =仅数字 L =仅字母 U =仅大写字母 l =仅小写字母 S...
  • JS 动态创建 div元素 并实现遮罩效果

    千次阅读 2018-07-19 17:04:43
    <!...<html> <head> <meta charset=" utf-8"> <script type="text/javascript"> window.onload=function() ... var delmask=document.... <p id='contenttip'>JS 动态创建元素,实现遮罩效果 </body>  
    <!DOCTYPE html>    
    <html>    
    <head>    
    <meta charset=" utf-8">    
    
    <script type="text/javascript"> 
    window.onload=function() 
    { 
    	var delmask=document.getElementById("btclose");
    	
    	if(document.getElementById("maskDiv")){
    		
    		document.getElementById("maskDiv").style.display = 'block';
    	}else{
    		
    		alert(document.documentElement.clientWidth + 'px, ' + window.innerHeight +'px')
    		var mask = document.createElement('div');
    		mask.id = 'maskDiv';  
    		mask.style.width = window.innerWidth +'px'; 
    		mask.style.height =  window.innerHeight +'px';
    		mask.style.background = '#000000';
    		mask.style.opacity = '0.1'; 
    		mask.style.position = 'absolute'; 
    		mask.style.display = 'block'; // 取消遮罩 设置为 none
    		mask.style.top = 30+'px';
    		mask.style.zIndex = 999; // 设置元素层级
    		document.body.appendChild(mask);
    	}
    	
    	delmask.onclick = function()
    	{alert('a')
    		if(document.getElementById("maskDiv")){
    		
    			document.getElementById("maskDiv").style.display = 'none';
    			
    			document.getElementById("contenttip").innerHTML="遮罩已去除";
    		}
    	}
    } 
    </script> 
    </head> 
    <body> 
      
      <center>
      <button id="btclose">关闭遮罩</button>
    	<br/>
    	<br/>
    	<br/>
    	<p id='contenttip'>JS 动态创建元素,实现遮罩效果</p>
      </center>
      
    </body> 
    </html>

     

    展开全文
  • 一个div同时设置background-color和background-image的话,color是处于img层下方的,无法实现遮罩效果,所以需要再创建一个div作为其子div,然后设置子div的背景颜色,介绍两种方法: 第一种,代码如下: css:   ....
  • 创建您的遮罩控制器: var controller = new MaskedTextController (mask : '000.000.000-00' ); 将控制器设置为您的文本字段: return new MaterialApp ( title : 'Flutter Demo' , theme : new ThemeData ( ...
  • 今天我们展示如何用CSS遮罩创建一个有趣又简单但吸引人的过渡效果。与裁剪一样,遮罩是另外一种定义可见性和元素组合的方式。在下面的教程中,我们将向你展示如何应用新属性实现现代转换效果。我们将使用steps()和...
  • NULL 博文链接:https://lhdst-163-com.iteye.com/blog/2353266
  • AE遮罩教程,如何用AE创建文字蒙版遮罩在AE中,不仅仅只是作为视频的后期软件,它还可以对图片和文字来进行编辑,下面小编来介绍的就是AE遮罩教程之如何用AE创建文字蒙版遮罩,大家可以一起来学习学习,希望这篇教程...
  • 在Flash动画中,“遮罩”主要2种用途,一个作用是用在整个场景或一个特定区域,使场景外的对象或特定区域外的对象不可见,另一个作用是用来遮罩住某一元件的一部分,从而实现一些特殊的效果。创建遮罩方法
  • 易语言彗星遮罩窗口模块源码,彗星遮罩窗口模块,遮罩窗口_创建,遮罩窗口_设置颜色,遮罩窗口_销毁,遮罩窗口_Destroy,遮罩窗口_注册窗口类,遮罩窗口_默认窗口过程,A2W,遮罩窗口_子类化,遮罩窗口_OnMessage,遮罩窗口_...
  • 把项目里很土的弹窗,改成了遮罩层显示,现在感觉好多了。在这里创建一个div和body一样大小,这样就可以把整个页面全部盖住了,具体实现祥看本文,希望可以帮助到你
  • frameset遮罩

    2013-03-18 20:19:11
    frameset遮罩
  • 遮罩层 js 事件 穿透 搜索资料 本地图片 图片链接 代码 提交回答 匿名 回答自动保存中html中的frameset,假如上中下三个frame,遮罩层来自中间的frame,弹只需5个步骤就可以解决遮住全屏的问题。 1.打开UE编辑器...
  • 简单学习制作的遮罩模版,可以通过看源文件学习,很有用的在flash学习中。
  • 生成模型中语义流形的面罩引导发现 , ,多伦多大学BMO创新研究实验室在2020年的机器学习创意与设计研讨会(NeurIPS)中 ...为了创建探究该流形的平滑变化的动画,我们在向量之间实现了“弹簧”损
  • FairyGUI中创建遮罩

    万次阅读 2017-04-08 19:40:15
    下面让我们在FairyGUI编辑器中创建一个List组件,并导入到Unity中显示,没有添加任何遮罩,List的遮挡区域是一个方形.现在我们为List添加一个遮罩来限制List的显示区域和触摸区域.首先导入一张带Alpha通道的不规则图片...
  • 1、在html的body中添加如下代码:正在加载...2、用jquery进行显示和隐藏//显示$("#loadingModal").modal('show');//隐藏$("#loadingModal").modal('hide');3、其他设置//使点击空白处...//按Tab键遮罩层不会消失,...
  • js创建遮罩

    2019-03-22 10:59:22
    function createMask(){ var maskDiv = document.createElement("div"); maskDiv.className = "mask" maskDiv.style.cssText = "height:100%;width:100%;position:fixed;_position:absolute;...
  • 主要介绍了jQuery弹出遮罩层效果,结合完整实例形式分析了jQuery遮罩层的动态创建与使用技巧,需要的朋友可以参考下

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 20,074
精华内容 8,029
关键字:

创建遮罩的方法有